curl --request GET \
--url https://api.birdeye.com/resources/v1/listing/status/locationimport requests
url = "https://api.birdeye.com/resources/v1/listing/status/location"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/listing/status/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessName": "FLTLT - Tulip Cremation Tampa",
"activationStatus": "active",
"lastUpdated": "Mon Jun 10 09:49:30 GMT 2024",
"locationStatus": "Published",
"publishListings": "Please initiate Publish for this locations listings.",
"errors": [
"The selected address is invalid or not supported.",
"The business description needs to be longer than 200 characters.",
"Please activate your demo location."
],
"totalSites": 44,
"syncedCount": 30,
"submittedCount": 13,
"needUpdatesCount": 0,
"optedOutCount": 0,
"notConnectedCount": 1,
"syncedPercentage": "68.18%",
"submittedPercentage": "29.55%",
"needUpdatesPercentage": "0.00%",
"optedOutPercentage": "0.00%",
"notConnectedPercentage": "2.27%",
"sites": [
{
"siteId": 2,
"siteName": "Google Maps",
"status": "Action Required",
"errors": [
"The geographic coordinates and the address you provided do not match. Make sure that the address line and zip code are correct."
],
"url": "https://maps.google.com/maps?cid=17209435735184138870"
},
{
"siteId": 110,
"siteName": "Facebook",
"status": "Connect"
},
{
"siteId": 226,
"siteName": "Bing",
"status": "In Progress",
"url": "https://www.bing.com/maps?ss=ypid.YN377x6765823"
},
{
"siteId": 100,
"siteName": "Birdeye",
"status": "Synced",
"url": "https://birdeye.com/farm-bureau-insurance-163944578027442"
},
{
"siteId": 381,
"siteName": "Apple Maps",
"status": "Action Required",
"errors": [
"Apple Category for the business is not available"
]
},
{
"siteId": 142,
"siteName": "Opendi",
"status": "Action Required",
"errors": [
"We’re unable to update your listing as there is a 'Claim Listing' issue which requires release of management of listings from the previous listings management provider. Please contact support for assistance."
],
"url": "https://columbia-la.opendi.us/10046961.html"
}
]
}{
"code": 1043,
"message": "Business should be either SMB or Enterprise sub account"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Get Location Status Report
A detailed view of the listings status at location level
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the business.
Response
OK
Name of the Business/Location.
Activation Status of Business/Location
"active/demo/inactive"
Last Updated Date of a Business/Location.
"Mon Jun 10 09:49:30 GMT 2024"
Return the state of Business/Location.
"Possible Values “Published”,“Scan State” or “Disabled“"
Total no. of Sites.
44
Total no. of Synced sites count.
30
Total no. of Submitted sites Count.
13
Total no. of Sites where Action is required.
Total no. of Opted out sites count.
Total no. of Not connected sites count.
1
Total no. of Synced Sites Percentage.
"68.18%"
Total no. of Submitted Sites Percentage.
"29.55%"
Total no. of Need Updates Sites Percentage.
"0.00%"
Total no. of Opted out sites percentage.
"0.00%"
Total no. of Not Connected Sites Percentage.
"2.27%"
Message to initiate publish locations listings.
"Please initiate Publish for this locations listings."
List of Error messages in case of Not Published state if exists.
List of location status.
Show child attributes
Show child attributes